package com.ywj.testdemo

import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import cn.leancloud.LCObject
import kotlinx.android.synthetic.main.item_goods.view.*

class GoodsRecycleAdapter: RecyclerView.Adapter<GoodsRecycleAdapter.MyViewHolder>() {

    var list: MutableList<LCObject> = ArrayList()

    fun addData(data: List<LCObject>){
        if(data.isNotEmpty()){
            list.addAll(data)
            notifyDataSetChanged()
        }
    }
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MyViewHolder {
        return MyViewHolder(LayoutInflater.from(parent.context).inflate(R.layout.item_goods, parent, false))

    }

    override fun onBindViewHolder(holder: MyViewHolder, position: Int) {
        Log.e("TAG", "onBindViewHolder: "+ list[position]  )
        holder.setData(list[position] )

    }

    override fun getItemCount(): Int {
        return list.size
    }


    class MyViewHolder(private var view: View) : RecyclerView.ViewHolder(view) {
        var GoodName: TextView = view.GoodsName
        var GoodsMonehy: TextView = view.GoodsMonehy
        var GoodsMessage: TextView = view.GoodsMessage

        fun setData(goods: LCObject) {
            GoodName.text = (goods.serverData)["GoodsTitle"].toString()
            GoodsMonehy.text = (goods.serverData)["GoodMoney"].toString()
            GoodsMessage.text = (goods.serverData)["GoodsMessage"].toString()
        }


    }
}