package com.ywj.testdemo

import android.os.Bundle
import android.util.Log
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import cn.leancloud.LCObject
import cn.leancloud.LCQuery
import cn.leancloud.LCUser
import io.reactivex.Observer
import io.reactivex.disposables.Disposable
import kotlinx.android.synthetic.main.activity_main.*


class MainActivity : AppCompatActivity() {
    private val TAG = "MainActivity"
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        var currentUser = LCUser.currentUser()

        create_obj.setOnClickListener {
            // 构建对象
            val todo = LCObject("Goods")

// 为属性赋值
            todo.put("GoodsTitle", "蔡徐坤")
            todo.put("GoodsMessage", "鸡你太美")
            todo.put("GoodMoney", 15)
            todo.put("GoodsUser", currentUser)


// 将对象保存到云端
            todo.saveInBackground().subscribe(object : Observer<LCObject?> {
                override fun onSubscribe(d: Disposable) {
                    Log.e(TAG, "onSubscribe: "+d.toString() )

                }

                override fun onNext(t: LCObject) {
                    Log.e("TAG", "onNext: "+t.toJSONString() )
                }

                override fun onError(e: Throwable) {
                    Log.e(TAG, "onError: "+e.toString() )
                }

                override fun onComplete() {
                }

            })
        }

        select_obj.setOnClickListener {
            val query = LCQuery<LCObject>("Goods")
            query.findInBackground().subscribe(object : Observer<List<LCObject?>?> {
                override fun onSubscribe(d: Disposable) {
                    Log.e(TAG, "查询onSubscribe: "+d.toString())
                }

                override fun onNext(t: List<LCObject?>) {
                    Log.e(TAG, "查询onNext: "+t.toString() )

                    if (t.isNotEmpty()){
                            Log.e(TAG, "查询成功"+t.toString() )
                            //
                        var goodsRecycleAdapter =GoodsRecycleAdapter()
                        var linear = LinearLayoutManager(this@MainActivity, LinearLayoutManager.VERTICAL, false)
                        good_recycle.layoutManager = linear
                        good_recycle.adapter = goodsRecycleAdapter
                        goodsRecycleAdapter.addData(t as List<Goods>)

                    }
                }

                override fun onError(e: Throwable) {
                    Log.e(TAG, "查询onError: "+e.toString() )
                }
                override fun onComplete() {
                    Log.e(TAG, "查询onComplete: ")
                }

            })
        }
    }
}